View Issue Details

IDProjectCategoryView StatusLast Update
0001833SymmetricDSBugpublic2014-07-29 16:50
Reporterjosh-a-hicksAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.2 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001833: ASE 12.5 create triggers in a multi-statement fails
DescriptionThere is a scenario when the create trigger issues multiple statements to ASE which is not allowed with the default option of "ddl in tran". However table creation should work the same way but we check for auto commit during the table create. The likely solution is to perform the same auto commit checks on trigger creation as in table creation in the ASE Dialect
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f384d189

2014-07-28 19:59:32

chenson

Details Diff
0001833: ASE 12.5 create triggers in a multi-statement fails
0001833
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSqlTemplate.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSqlTransaction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

SymmetricDS: master a745406b

2014-07-29 09:31:15

chenson

Details Diff
0001833: ASE 12.5 create triggers in a multi-statement fails
0001833
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-07-25 14:50 josh-a-hicks New Issue
2014-07-25 14:50 josh-a-hicks Status new => assigned
2014-07-25 14:50 josh-a-hicks Assigned To => josh-a-hicks
2014-07-27 18:46 chenson Project SymmetricDS Pro => SymmetricDS
2014-07-27 19:23 chenson Target Version 3.6.3 => 3.7.0
2014-07-28 19:58 chenson Assigned To josh-a-hicks => chenson
2014-07-28 19:58 chenson Target Version 3.7.0 => 3.6.3
2014-07-28 20:00 chenson Changeset attached => SymmetricDS trunk r8520
2014-07-29 10:00 chenson Changeset attached => SymmetricDS trunk r8528
2014-07-29 16:46 chenson Status assigned => resolved
2014-07-29 16:46 chenson Fixed in Version => 3.6.3
2014-07-29 16:46 chenson Resolution open => fixed
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a745406b
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f384d189